﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site1.Master" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="DialogEditing.WebForm1" %>


<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

    <%@ Register Assembly="Syncfusion.EJ, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

     

        <div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" OnServerEditRow="EditEvents_ServerEditRow"
                    OnServerAddRow="EditEvents_ServerAddRow" OnServerDeleteRow="EditEvents_ServerDeleteRow">
            <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" Create="OnCreate" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                    <ValidationRule>
                        <ej:KeyValue Key="required" Value="true" />
                        <ej:KeyValue Key="number" Value="true" />
                    </ValidationRule>
                </ej:Column>
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90">
                    <ValidationRule>
                        <ej:KeyValue Key="required" Value="true" />
                        <ej:KeyValue Key="minlength" Value="3" />
                    </ValidationRule>
                </ej:Column>
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="Numeric">
                    <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
                </ej:Column>
                <ej:Column Field="ShipName" HeaderText="ShipName" Width="110"></ej:Column>
                <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" EditType="Dropdown" />

                <ej:Column HeaderText="Order" Template="true" TemplateID="#buttonTemplate" TextAlign="Center" Width="75"/> 

            </Columns>
            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="inlineformtemplate" InlineFormTemplateID="#template"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        </ej:Grid>
                </ContentTemplate>
        </asp:UpdatePanel>
    </div>



     <script type="text/template" id="template">
        <b>Order Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Order ID
                </td>
                <td style="text-align: left">
                    <input id="OrderID" name="OrderID" value="{{: OrderID}}" disabled="disabled"
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
                <td style="text-align: right;">Customer ID
                </td>
                <td style="text-align: left">
                    <input id="CustomerID" name="CustomerID" value="{{:CustomerID}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px; text-align: left!important" />
                </td>
            </tr>

            <tr>
                <td style="text-align: right;">Freight
                </td>
                <td style="text-align: left">
                    <input type="text" id="Freight" name="Freight" value="{{:Freight}}" />
                </td>
                <td style="text-align: right;">ShipCountry
                </td>
                <td style="text-align: left">
                    <select id="ShipCountry" name="ShipCountry">
                        <option value="Germany">Germany</option>
                        <option value="Mexico">Mexico</option>
                        <option value="UK">UK</option>
                        <option value="Sweden">Sweden</option>
                        <option value="Colchester">France</option>
                        <option value="Denmark">Italy</option>
                        <option value="Spain">Spain</option>
                    </select>
                </td>
            </tr>
            <tr>

                <td style="text-align: right;">ShipName
                </td>
                <td style="text-align: left">
                    <input id="ShipName" name="ShipName" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" value="{{:ShipName}}" />
                </td>
            </tr>
        </table>
    </script>

     <script type="text/javascript">
          
      
         function endAdd(args) {
             $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
         }
         function endDelete(args) {
             $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
         }
         function endEdit(args) {
             $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
         }
 
         function complete(args) {
             if (args.requestType == "refresh" || args.requestType == "save") {
                 $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("hide");
               
             }
             if (args.requestType == "cancel") 
              this.getContentTable().find("tr").eq(this.model.selectedRowIndex).find(".Details").removeClass("e-disable").removeAttr("disabled");
           
             if ((args.requestType == "beginedit" || args.requestType == "add") && args.model.editSettings.editMode == "inlineformtemplate") {
                 $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", decimalPlaces: 2 });
                 $("#ShipCountry").ejDropDownList({ width: '116px' });
                 if (args.requestType == "beginedit") {  
                     $("#OrderID").attr("disabled", "disabled");
                     $("#ShipCountry").ejDropDownList("setSelectedValue", args.row.children().eq(4).text());
                 }
             }
             OnCreate();
         }
     </script>


    <script type="text/x-jsrender" id="buttonTemplate">
        <input type="button" class="Details" name="Details" value="Details"/>     
    </script>


      <script type="text/javascript">
         
          function OnCreate(args) {
              $(".Details").ejButton({
                  click: function (e) {
                      var obj = $('#<%= OrdersGrid.ClientID %>').data("ejGrid");
                      var args = { currentTarget: this.element[0].name, selectedRecord: obj.getSelectedRecords(), selectedIndex: obj.model.selectedRowIndex };
                      $.ajax({
                          url: "WebForm1.aspx/ButtonHandler",
                          type: "POST",
                          contentType: "application/json; charset=utf-8",
                          data: JSON.stringify(args)

                      })
                  }
              });
          }

      </script>
   

</asp:Content>
